/**
Theme Name: Knepp
Author: soka studio
Author URI: https://sokastudio.co.uk/
Description: Knepp Custom Theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: knepp
Template: astra
*/
:root {
  --jp-close-button-bg-color: #54517d;
  --knepp-greige: #EBE8E2;
  --knepp-error: #D74F37;
  --knepp-success: #669966;
  --knepp-success-light: #99CC99;
  --knepp-purple: #54517d;
}

/* adjust scoll offset for fragment links sitewide */
@media (min-width: 769px) {
  [id] {
    scroll-margin-top: 145px;
  }
}

/* team away days form */
#fbuilder * {
  font-family: inherit !important;
}
/* team away - Set max width for main form so it doesn't overlap with float quote area */
#fbuilder {
	max-width: 600px;
}

#fbuilder span.uh {
	font-size:18px !important;
}
#fbuilder input[type="text"],
#fbuilder input[type="password"],
#fbuilder input[type="email"],
#fbuilder input[type="number"],
#fbuilder input[type="tel"],
#fbuilder input[type="date"],
#fbuilder input[type="datetime"],
#fbuilder input[type="time"],
#fbuilder input[type="url"],
#fbuilder input[type="week"] {
	font-size:large !important;
	width: 100% !important;
	max-width: 100% !important;
  border-radius: 0 !important;
}
#fbuilder .cff-switch-container input:checked+span.cff-switch {
  background-color: #54517D !important;
}
#fbuilder .pbSubmit, 
#fbuilder .pbreak .pbPrevious,
#fbuilder .pbreak .pbNext, 
#fbuilder button:not([class*="trumbowyg"]), 
#fbuilder input[type="submit"], 
#fbuilder input[type="button"], 
#fbuilder input[type="reset"] {
  border: none !important;
  background-color: #54517D !important;
    fill: #FFFFFF !important;
    color: #FFFFFF !important;
    font-family: var(--e-global-typography-accent-font-family), sans-serif !important;
    font-size: var(--e-global-typography-accent-font-size) !important;
    font-weight: var(--e-global-typography-accent-font-weight) !important;
    text-transform: var(--e-global-typography-accent-text-transform) !important;
    line-height: var(--e-global-typography-accent-line-height) !important;
    letter-spacing: var(--e-global-typography-accent-letter-spacing) !important;
    border-radius: 0 !important;
}

#fbuilder .pbSubmit:hover, 
#fbuilder .pbreak .pbPrevious:hover,
#fbuilder .pbreak .pbNext:hover, 
#fbuilder button:not([class*="trumbowyg"]):hover, 
#fbuilder input[type="submit"]:hover, 
#fbuilder input[type="button"]:hover, 
#fbuilder input[type="reset"]:hover {
    background-color: var(--e-global-color-accent) !important;
}

#fbuilder .fields:not(.cff-switch-container) input[type="radio"]:checked::before,
#fbuilder .ui-slider-handle,
#fbuilder .ui-slider-range {
  background:#54517D !important;
}

#fbuilder input[type="text"]:focus, 
#fbuilder input[type="password"]:focus, 
#fbuilder input[type="color"]:focus, 
#fbuilder input[type="date"]:focus, 
#fbuilder input[type="datetime"]:focus, 
#fbuilder input[type="email"]:focus, 
#fbuilder input[type="number"]:focus, 
#fbuilder input[type="search"]:focus, 
#fbuilder input[type="tel"]:focus, 
#fbuilder input[type="time"]:focus, 
#fbuilder input[type="url"]:focus, 
#fbuilder input[type="week"]:focus, 
#fbuilder .fields:not(.cff-switch-container) input[type="checkbox"]:focus, 
#fbuilder .fields:not(.cff-switch-container) input[type="radio"]:focus, 
#fbuilder select:focus, 
#fbuilder textarea:focus {
    border-color: #54517D !important;
    box-shadow: 0 0 0 1px #54517D !important;
}

.ui-datepicker td span, 
.ui-datepicker td a {
  text-align: center !important;
}

#fbuilder .fields {
    background: #FFFBF8 !important;
}

@media (min-width:1025px)
{
 #fbuilder .fieldname46_1 {
    padding: 10px !important;
    position: fixed !important;
    top: 220px !important;
    left: 70% !important;
    z-index: 999 !important;
 }
 #fbuilder .fieldname29_1 {
    padding: 10px !important;
    position: fixed !important;
    top: 300px !important;
    left: 70% !important;
    z-index: 999 !important;
 }
 #fbuilder .fieldname42_1 {
    padding: 10px !important;
    position: fixed !important;
    top: 400px !important;
    left: 70% !important;
    z-index: 999 !important;
	}
}
/* booking calendar key */
.calendar-key {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 1em;
  margin-bottom: 1em;
}
.calendar-key .calendar-key-trigger {
  font-family: "din-2014", sans-serif;
  font-size: 14px;
  font-weight: 300;
  line-height: 20px;
  letter-spacing: 1.3px;
  color: #ffffff;
  border: none;
  white-space: nowrap;
  background-color: #54517d;
  padding: 4px 8px;
  display: inline-block;
  text-transform: uppercase;
}
.calendar-key .calendar-key-trigger:hover,
.calendar-key .calendar-key-trigger:focus,
.calendar-key .calendar-key-trigger:active {
  color: #ffffff;
  background-color: #acabc2;
}
.calendar-key-bordered {
  border: 1px solid #555555;
}
.calendar-key-color {
  position: relative;
  display: inline-block;
  width: 1.5em !important;
  height: 1.5em !important;
  margin: 5px auto;
  vertical-align: middle;
  overflow: hidden;
}
.calendar-key-slashed::before {
  content: '';
  position: absolute;
  inset: 0;
  background: var(--slash-colour);
  clip-path: polygon(100% 0, 100% 100%, 0 100%);
  pointer-events: none;
}


/* friends of knepp - hub notice */
.fok-subscription-link {
  border-left: 3px solid var(--info-message-icon-color,#3f84b9) !important;
  border-top: none !important;
}
.jet-woo-account-dashboard-content .fok-subscription-link {
  margin-top: 1em !important;
}
.fok-subscription-link a:hover,
.fok-subscription-link a:focus,
.fok-subscription-link a:active {
  color: var(--e-global-color-text) !important;
}
/* required products plugin custom notice */
.woocommerce-message.required-products ul {
  list-style-type: disc;
  margin-top: 1em;
  margin-left: 1em;
}
.woocommerce-message.required-products ul li {
  margin-bottom: 0.5em;
  list-style: disc !important;
}
.woocommerce-message.required-products ul li a {
  text-transform: none !important;
  font-size: 1em !important;
}
/* wc bookings custom booking form for campsite */
#wc-bookings-booking-form {
  counter-reset: step-counter;
}

#wc-bookings-booking-form .step {
  margin-bottom: 10px;
}

#wc-bookings-booking-form .step::before {
  counter-increment: step-counter;
  content: "Step " counter(step-counter) ": ";
}
#wc-bookings-booking-form .important-notice {
  color: #b94a48;
  margin-bottom: 10px;
  background-color: #fff8ef;
  padding: 5px 10px;
  border: 1px solid #b94a48;
}
/* END wc bookings custom booking form for campsite */
/* page single product - variation dropdowns */
.woocommerce div.product form.cart .variations td.value {
  display: flex;
  align-items: stretch;
  gap: 8px;
}
.woocommerce div.product form.cart .variations select,
.woocommerce div.product form.cart .variations a.reset_variations {
  height: auto;
  display: flex;
  align-items: center;
}
.friends-of-knepp-add-to-cart .elementor-jet-single-add-to-cart .variations {
  max-width: none !important;
}
.woocommerce-js .product:has(.quantity input[type=hidden]) .friends-of-knepp-add-to-cart .button.single_add_to_cart_button, 
.woocommerce-js .sold-individually .friends-of-knepp-add-to-cart .button.single_add_to_cart_button {
  margin-left: 0 !important;
}
/* fix: checkout buttons */
.shipping-calculator-button:hover,
.e-wc-info-notice .woocommerce-info .button:hover {
  color: #ffffff;
  border: none;
  background-color: var(--e-global-color-astglobalcolor1) !important;
}
.shop_table .button,
.shipping-calculator-button,
.woocommerce-page .woocommerce-error .button {
  font-size: 15px !important;
  text-transform: uppercase;
  font-weight: 700;
  text-decoration: none;
  letter-spacing: initial;
}
/* fix: woocommerce single - stock levels colours */
.woocommerce-js div.product .out-of-stock {
  color: #b94a48;
}
.woocommerce-js div.product .in-stock {
  color: #669966;
}
/* fix: woocommerce single - variation layout */
.woocommerce-js div.product form.cart .variations {
  border-bottom: 0;
}
.woocommerce-js div.product form.cart .variations td {
  display: flex;
  align-items: center;
}
/* fix: section paddings */
:root {
  --sections-padding: 20px;
}
.elementor-widget-woocommerce-cart .woocommerce .coupon-col-start {
  padding-right: var(--sections-padding);
}
/* fix: password protected pages */
.post-password-form {
  margin-top: 4em;
}
/* reset astra offset bug */
.woocommerce-js .sold-individually .button.single_add_to_cart_button {
  margin-left: 0;
}
/* product addons */
.wc-pao-addon-container {
  margin-bottom: 1em;
}
.wc-pao-addon-legend {
  padding-left: 0;
}
.wc-pao-addon-description {
  font-size: 14px;
  margin-bottom: 5px;
}
.wc-pao-addon-description p {
  line-height: 1.5em;
}
.wc-pao-addon-name .required {
  display: none;
}
.woocommerce form .form-row.wc-pao-addon-wrap {
  margin: 0;
  padding: 0;
}
@media (max-width: 768px) {
  .wc-pao-addon-name {
    font-size: 22px;
  }
}
/* hide recaptcha */
.grecaptcha-badge {
  visibility: hidden;
}
/* search icon */
.fa-search:before {
  content: url(/wp-content/uploads/2022/11/Search-Icon-07.svg) !important;
  width: 25px;
  height: 25px;
}
.elementor-search-form--skin-full_screen
  .elementor-search-form__toggle
  i:before {
  top: 40% !important;
}
.elementor-product-accommodation-booking form {
  flex-direction: column !important;
}
/* fix: side cart overflowing */
.elementor-menu-cart__product .variation {
  display: block;
}
.elementor-menu-cart__product {
  grid-template-columns: 32px auto;
}
.elementor-menu-cart__product {
  padding-right: 0;
}
.elementor-menu-cart__product .variation dd {
  margin-bottom: 0;
}
/* fix: woocommerce checkout page */
.elementor-jet-checkout-login-form p {
  margin-bottom: 0.6em;
}
.elementor-jet-checkout-login-form .password-input {
  display: flex;
}
.elementor-jet-checkout-login-form .password-input button.show-password-input {
  padding-top: 0;
  padding-bottom: 0;
}
.elementor-jet-checkout-login-form
  .password-input
  button.show-password-input::after {
  content: "\f177";
  font-family: dashicons;
  font-size: 1.3em;
}
.elementor-kit-8 .woocommerce-info a,
.woocommerce-info a {
  color: var(--e-global-color-primary);
}
.woocommerce-notices-wrapper,
.woocommerce-checkout .woocommerce-NoticeGroup {
  max-width: 1140px;
  margin-left: auto;
  margin-right: auto;
}
/* fix: checkout overflow */
.woocommerce-page.woocommerce-checkout form #order_review th.product-name {
  width: 100%;
}
.woocommerce-page.woocommerce-checkout form #order_review td.product-name {
  padding-left: 0 !important;
}
/* fix: checkout includes tax line wraps badly */
.woocommerce-page.woocommerce-checkout .includes_tax {
  white-space: nowrap;
}
/* fix: coupon styles looked bad when ajax blocker is overlaid */
@media (min-width: 922px) {
  .woocommerce form.checkout_coupon {
    width: auto;
  }
  .woocommerce-form-coupon-toggle .woocommerce-error,
  .woocommerce-form-coupon-toggle .woocommerce-info,
  .woocommerce-form-coupon-toggle .woocommerce-message {
    margin-top: 0;
    margin-bottom: 0;
  }
  .elementor-jet-checkout-coupon-form > .woocommerce-error,
  .elementor-jet-checkout-coupon-form > .woocommerce-info,
  .elementor-jet-checkout-coupon-form > .woocommerce-message {
    margin-top: 2em;
    margin-bottom: 0;
  }
  .woocommerce-form-coupon {
    padding-top: 2em;
  }
}
/* fix: formatting of checkout price block on desktop */
@media (min-width: 922px) {
  .woocommerce.woocommerce-checkout form #order_review,
  .woocommerce.woocommerce-checkout form #order_review_heading,
  .woocommerce-page.woocommerce-checkout form #order_review,
  .woocommerce-page.woocommerce-checkout form #order_review_heading {
    width: 100% !important;
    float: none !important;
  }
}
/* fix: checkout voucher button text size */
.woocommerce form.checkout_coupon .button {
  font-size: 15px;
  text-transform: uppercase;
  padding-top: 12px;
  padding-bottom: 12px;
}

/* fix: checkout / basket responsive */
@media (max-width: 767px) {
  .woocommerce form.woocommerce-form-coupon {
    padding-right: 30px !important;
  }
  .woocommerce form .woocommerce-billing-fields .form-row-last,
  .woocommerce-page form .woocommerce-billing-fields .form-row-last,
  .woocommerce form.woocommerce-form-coupon .form-row-first,
  .woocommerce form.woocommerce-form-coupon .form-row-last {
    float: none !important;
    width: auto !important;
  }
  .woocommerce form.woocommerce-form-coupon .form-row-first {
    margin-bottom: 1em !important;
    margin-right: 0 !important;
  }
  .woocommerce form.woocommerce-form-coupon button {
    text-transform: uppercase;
  }
  .woocommerce-form-login {
    padding-bottom: 1px !important;
  }
  .woocommerce-form-login__submit {
    width: 100% !important;
    text-transform: uppercase;
  }
  dl.variation dt {
    display: block !important;
    float: none !important;
    text-align: left !important;
  }
  dl.variation dd {
    margin-bottom: 0.5em !important;
  }
  .e-apply-coupon {
    font-size: 16px !important;
  }
  .elementor-638 .elementor-element.elementor-element-ad11a53 .e-cart-section,
  .elementor-638 .elementor-element.elementor-element-ad11a53 .coupon {
    border-width: 0 !important;
  }
  .woocommerce #content table.cart td,
  .woocommerce-page #content table.cart td {
    min-height: auto !important;
  }
  .woocommerce-page.woocommerce-checkout #payment div.form-row,
  .woocommerce.woocommerce-checkout #payment div.form-row {
    padding-bottom: 0;
  }
}
/* fix: search box behind keyboard on some mobile devices */
@media (max-width: 768px) {
  .elementor-search-form--skin-full_screen .elementor-search-form__container {
    align-items: flex-start;
    padding: 60% 15% 0;
  }
  .elementor-lightbox .dialog-lightbox-close-button {
    margin-top: 0;
  }
}
/* fix: mobile menu for very long menu */
.elementor-nav-menu--toggle
  .elementor-menu-toggle.elementor-active
  + .elementor-nav-menu__container {
  max-height: none !important;
}
/* fix: custom styles for faux menu header */
.menu-header-label {
    font-family: "din-2014", sans-serif;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    pointer-events: none;
    line-height: 18px;
    letter-spacing: 1.3px;
    color: var(--e-global-color-b78b877);
    display: inline-block;
    margin-bottom: 10px;
    border-bottom: 1px solid var(--e-global-color-b78b877);
}
@media screen and (max-width: 1025px) {
  .menu-header-label {
    font-size: 14px;
    margin: 10px 20px 10px 36px;
  }
}
/* fix: force white links in woocommrce error notice */
.woocommerce-error a:not(.button) {
  color: #fff;
  text-decoration: underline !important;
}
.woocommerce-error a:hover,
.woocommerce-error a:visited,
.woocommerce-error a:focus,
.woocommerce-error a:active {
  color: #e8e8e8;
}
/* fix: remove roboto dependency in elementor pro */
.e-wc-error-notice .woocommerce-error .wc-backward {
  font-family: var(--e-global-typography-text-font-family), sans-serif;
  font-size: inherit;
}
/* fix: default woocommerce styles */
.woocommerce .woocommerce-ordering {
  margin-bottom: 0;
}
.woocommerce .woocommerce-result-count {
  margin: 0;
  float: none;
}
.woocommerce form .form-row label .optional {
  padding-left: 0.4em;
}
/* fix: woocommerce order / checkout complete pages */
.wc-booking-summary .wc-booking-summary-number .status-confirmed {
  background-color: #897720 !important;
}
.wc-booking-summary .wc-booking-summary-number .status-paid {
  background-color: #54517d !important;
}
@media (max-width: 767px) {
  .woocommerce form .wc-payment-form .form-row-first,
  .woocommerce form .wc-payment-form .form-row-last {
    float: none;
    width: auto;
  }
}
/* .woocommerce-SavedPaymentMethods-saveNew,
.woocommerce-form__label-for-checkbox,
#checkout_checkbox_12plus_field {
  display: flex !important;
  line-height: 2em !important;
  align-items: flex-start;
}
.woocommerce-SavedPaymentMethods-saveNew input[type=checkbox] {
  margin: 0.35em 0.7em 0 0 !important;
}
#checkout_checkbox_12plus_field input[type=checkbox] {
  margin: 0.65em 0.7em 0 0 !important;
}
.woocommerce-form__label-for-checkbox input[type=checkbox]{
  margin: 0.45em 0.7em 0 0 !important;
} */
.form-row.woocommerce-SavedPaymentMethods-saveNew.woocommerce-validated label {
  line-height: 1.5em !important;
}
/* fix: conflict with astro pro and elementor */
.ast-woo-shop-archive .site-content #primary {
  padding: 0;
  margin: 0;
}
.ast-woo-shop-archive .site-content > .ast-container {
  max-width: 100%;
  padding: 0;
}
.woocommerce-js div.product p.ast-stock-detail {
  margin-bottom: 15px;
}
/* fix: clash with plugin and popup */
#__lpform_mce-EMAIL_icon {
  display: none !important;
}
/* fix: clash with sticky nav and woocommerce ajax update spinners */
.woocommerce .blockUI.blockOverlay {
  z-index: 995 !important;
}
/* plugin: checkout 12+ policy */
#checkout_checkbox_12plus_field {
  margin-bottom: 0;
}
.woocommerce-checkout:not(.woocommerce-order-pay)
  #checkout_checkbox_12plus_field
  label {
  font-size: 18px;
}
/* order-pay endpoint */
.woocommerce-order-pay td.product-name {
  padding: 14px 12px !important;
}
.woocommerce-order-pay .entry-header {
  margin-top: 70px;
  margin-bottom: 70px;
}
.woocommerce-order-pay .entry-header h1 {
  text-transform: uppercase;
  font-weight: 600;
  text-align: center;
  font-size: 45px;
  line-height: 55px;
  letter-spacing: 3.6px;
}
.woocommerce-page.woocommerce-order-pay table.shop_table td,
.woocommerce.woocommerce-order-pay table.shop_table td {
  padding-left: 10px;
}
/* woocommerce my-account */
.e-my-account-tab .woocommerce .woocommerce-MyAccount-navigation ul li.is-active a {
  background-color: var(--knepp-greige) !important;
}
.woocommerce-view-subscription .shop_table.subscription_details {
  border-top: none !important;
}
.woocommerce-customer-details .woocommerce-column__title,
.shop_table th,
.shop_table td {
  padding: 0.75rem 1rem !important;
}
.woocommerce-page.woocommerce-checkout .woocommerce-order h2.woocommerce-column__title, 
.woocommerce-page.woocommerce-checkout .woocommerce-order h2.woocommerce-order-details__title, 
.woocommerce.woocommerce-checkout .woocommerce-order h2.woocommerce-column__title, 
.woocommerce.woocommerce-checkout .woocommerce-order h2.woocommerce-order-details__title,
.shop_table th .nobr,
.woocommerce-customer-details .woocommerce-column__title,
.woocommerce-Addresses .title,
.shop_table th {
  background-color: var(--knepp-greige) !important;
  font-weight: 600 !important;
}
.elementor-widget-woocommerce-my-account .e-my-account-tab .woocommerce-MyAccount-content-wrapper,
.elementor-widget-woocommerce-my-account .e-my-account-tab__view-order .order_details, 
.elementor-widget-woocommerce-my-account .e-my-account-tab__view-order .woocommerce-table--order-downloads {
  padding: 0 !important;
}
tr.recurring-totals th {
  text-align: left !important;
  background: transparent !important;
}
.cart-discount td {
    white-space: nowrap;
}
#order_review_heading {
  margin-bottom: 20px !important;
}
.first-payment-date {
    line-height: 1.2em;
}
.checkout-inline-error-message {
  color: var(--knepp-error);
  font-size: 18px;
}
.woocommerce-page.woocommerce-checkout form #order_review td.product-name {
  padding-left: 15px !important;
}
.elementor-widget-woocommerce-my-account .aw-communication-page {
  border-color: var(--sections-border-color, #d5d8dc);
  border-radius: 0 !important;
  border-style: var(--sections-border-type, solid);
  border-width: var(--sections-border-top-width, 1px) var(--sections-border-right-width, 1px) var(--sections-border-bottom-width, 1px) var(--sections-border-left-width, 1px);
  padding: 1em !important;
}
.woocommerce-MyAccount-content-wrapper h2 {
/* .woocommerce-order-details h2 { */
  font-weight: 600 !important;
  margin-bottom: 0.75em !important;
}
.e-my-account-tab__edit-address form > h2 {
  margin-top: 0 !important;
}
.account-payment-methods-table + a.button {
  margin: 1em;
}
#wcs_delete_token_warning .woocommerce-error {
  border-top: none !important;
}
#update_all_subscriptions_addresses_field small {
  display: block !important;
}
/* checkout vouchers plugin */
.viwcc-coupons-notice {
  display: none !important;
}
.viwcc-coupons-wrap.viwcc-coupons-scroll-wrap .viwcc-coupons-content-wrap,
.viwcc-coupons-wrap .viwcc-coupons-content,
.viwcc-coupons-wrap .viwcc-coupons-content .viwcc-coupon-wrap {
  margin-bottom: 0 !important;
}
.viwcc-coupon-wrap {
  border-radius: 0 !important;
}
.viwcc-coupon-wrap.viwcc-coupon-wrap-1>:after,
.viwcc-coupon-wrap.viwcc-coupon-wrap-1>:before {
  padding: .75rem !important;
}
/* woocommerce bookings */
.wc-bookings-booking-form .ui-datepicker .ui-datepicker-title {
  color: #fff;
}
@media (max-width: 768px) {
  #wc_bookings_field_persons {
    font-size: 16px;
  }
}
/* 
   Modify the color styles of the WooCommerce Bookings datepicker calendar.
   Add any/all of these styles to your theme's custom CSS, but be sure to change
   the color hex codes to your choice. They're all black here.
*/
/* START diagonals modifications */
.wc-bookings-date-picker:not([data-selected-date-type=start]) .ui-datepicker td.fully_booked_start_days:not(.selection-end-date), .wc-bookings-date-picker[data-selected-date-type=start] .ui-datepicker td.fully_booked_end_days:not(.selection-start-date) {
    opacity: 1;
}

.wc-bookings-date-picker .ui-datepicker td.bookable-range .ui-state-default {
	background: var(--knepp-success) !important;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td > a.ui-state-default::before,
.wc-bookings-booking-form .wc-bookings-date-picker-accommodation-booking .ui-datepicker td > a.ui-state-default::before {
  content: '';
  position: absolute;
  inset: 0;
  pointer-events: none;
  z-index: -1;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td > a.ui-state-default {
  position: relative;
  overflow: hidden;
  z-index: 0;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_start_days > a.ui-state-default,
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_end_days > a.ui-state-default {
  background: var(--knepp-error) !important;
  color: #fff !important;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable.not_bookable span.ui-state-default {
    background: var(--knepp-success-light);
    color: #fff;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_start_days > a.ui-state-default::before {
  background: var(--knepp-success);
  clip-path: polygon(0 0, 100% 0, 0 100%);
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_end_days > a.ui-state-default::before {
  background: var(--knepp-success);
  clip-path: polygon(100% 0, 100% 100%, 0 100%);
}

/* base range colour */
.wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range > a.ui-state-default {
  background: var(--knepp-success);
  color: #fff;
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range.fully_booked_end_days > a.ui-state-default::before,
.wc-bookings-booking-form .wc-bookings-date-picker-accommodation-booking .ui-datepicker td.bookable-range.selection-start-date > a.ui-state-default::before {
  clip-path: polygon(100% 0, 100% 100%, 0 100%);
  background: var(--knepp-purple);
}

#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range.fully_booked_start_days > a.ui-state-default::before,
.wc-bookings-booking-form .wc-bookings-date-picker-accommodation-booking .ui-datepicker td.bookable-range.selection-end-date > a.ui-state-default::before {
	background: var(--knepp-purple);
	clip-path: polygon(0 0, 100% 0, 0 100%);
}

/* selected end date on a checkout-only slashed day */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_start_days.bookable-range.selection-end-date > a.ui-state-default::before {
  background: var(--knepp-purple) !important;
  clip-path: polygon(0 0, 100% 0, 0 100%) !important;
}

/* selected start date on a check-in-only slashed day */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.fully_booked_end_days.bookable-range.selection-start-date > a.ui-state-default::before {
  background: var(--knepp-purple) !important;
  clip-path: polygon(100% 0, 100% 100%, 0 100%) !important;
}

.wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range:not(.selection-start-date):not(.selection-end-date) .ui-state-default.ui-state-active,
.wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range:not(.selection-start-date):not(.selection-end-date) .ui-state-default {
	background: var(--knepp-purple) !important;
}
/* END diagonals modifications */

/*Book Now*/
.wc-bookings-booking-form-button {
  padding: 12px 24px !important;
  text-transform: uppercase;
  background: #54517d !important;
  border-radius: 0px !important;
}
/* Month header background color */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker table {
  margin: 0;
}
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker-header {
  background-image: none;
  background-color: #54517d;
  border-top: none;
  padding: 0;
}
#wc-bookings-booking-form .wc-bookings-booking-form .ui-widget-content {
  box-shadow: none;
}

.product-type-accommodation-booking .wc-bookings-date-picker {
  padding: 75px 20px 20px;
}

.product-type-accommodation-booking .wc-bookings-date-picker:after {
  margin: 20px;
  background: var(--knepp-greige);
}

.wc-bookings-booking-form .wc-bookings-booking-cost {
  background: var(--knepp-greige);
}

.wc-bookings-booking-form .wc-bookings-date-picker
  .ui-datepicker
  td.bookable-range.selection-start-date
  .ui-state.active {
  border-radius: 50% 0 0 50%;
}

.wc-bookings-booking-form .wc-bookings-date-picker
  .ui-datepicker
  td.bookable-range.selection-end-date
  .ui-state.active {
  border-radius: 0 50% 50% 0;
}

/* Previous/Next month arrow background color */
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  .ui-datepicker-next,
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  .ui-datepicker-prev {
  background-color: #54517d;
}

#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  .ui-datepicker-next:not(.ui-state-disabled):hover,
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  .ui-datepicker-prev:not(.ui-state-disabled):hover {
  background-color: #2f2c54;
}

/* Fix: WC Bookings 3.0.0 bug - frontend.css overrides white icons with dark ones */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker-header .ui-icon {
  background-image: url('/wp-content/plugins/woocommerce-bookings/dist/images/ui-icons_ffffff_256x240.png');
}

a.ui-datepicker-next.ui-corner-all.ui-state-disabled span,
a.ui-datepicker-prev.ui-corner-all.ui-state-disabled span {
  display: none;
}

/* Previous/Next month arrows if not allowed, and calendar dates that are not available */
.wc-bookings-booking-form .ui-state-disabled,
.wc-bookings-booking-form .ui-widget-content .ui-state-disabled,
.wc-bookings-booking-form .ui-widget-header .ui-state-disabled {
  opacity: 0.35;
}

/* Days of the week header background color */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker th {
  background-color: #54517d;
}

/* Days of the week header font color */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker th {
  color: #fff;
}

/* Past and unavailable calendar days background color (not available) */
/* .ui-datepicker-calendar tbody {
	background-color: #000000;
} */

/* Available calendar days background color */
#wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable a,
#wc-bookings-booking-form
  .wc-bookings-date-picker:not([data-selected-date-type="start"])
  .ui-datepicker
  td.fully_booked_start_days:not(.selection-end-date)
  span,
#wc-bookings-booking-form
  .wc-bookings-date-picker[data-selected-date-type="start"]
  .ui-datepicker
  td.fully_booked_end_days:not(.selection-start-date)
  span {
  background-color: #669966 !important;
}
.wc-bookings-booking-form .ui-state-disabled,
.wc-bookings-booking-form .ui-widget-content .ui-state-disabled {
  opacity: 1;
}
/* booking calendar - disable selecting parts of other months */
.wc-bookings-booking-form .ui-datepicker-other-month {
  pointer-events: none;
  opacity: 0.75;
  filter: grayscale(1);
}
/* Available calendar day hover background color */
/* #wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable a:hover {
	background-color: #000000 !important;
} */

/* Fully booked calendar days */
:not(.safari-template-addtocart)
  #wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.not_bookable_by_rules
  .ui-state-default,
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.fully_booked
  a,
#wc-bookings-booking-form
  .wc-bookings-date-picker:not([data-selected-date-type="start"])
  .ui-datepicker
  td.fully_booked_start_days:not(.selection-end-date)
  a,
#wc-bookings-booking-form
  .wc-bookings-date-picker[data-selected-date-type="start"]
  .ui-datepicker
  td.fully_booked_end_days:not(.selection-start-date)
  a,
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.fully_booked
  span {
  color: #fff !important;
  background-color: #d74f37 !important;
}

/* special case for safari calendars */
.safari-template-addtocart
  #wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.not_bookable_by_rules
  .ui-state-default {
  color: #424242 !important;
  background-color: #fefbf8 !important;
}
/* END special case for safari calendars */

#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.ui-datepicker-other-month {
  background: #424242 !important;
}
#wc-bookings-booking-form
  .wc-bookings-date-picker
  .ui-datepicker
  td.ui-datepicker-other-month
  .ui-state-default {
  opacity: 0 !important;
}
#wc-bookings-booking-form .ui-datepicker-other-month {
  opacity: 0.75;
}
/* Fully booked calendar days color opacity */
/* .wc-bookings-date-picker .ui-datepicker td.ui-state-disabled {
	opacity: .35;
 } */

/* Days not bookable based on the availability rules */
/* .wc-bookings-date-picker .ui-datepicker td.not_bookable {
	background-color: #FFFFFF !important;
} */

/* Today's date on calendar background color */
/* #wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.ui-datepicker-today a { 
	background-color: #000000 !important; 
} */

/* Active selection */
.wc-bookings-booking-form .wc-bookings-date-picker
  .ui-datepicker
  td.bookable-range
  .ui-state-default.ui-state-active,
.wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.bookable-range .ui-state-default {
  background-color: #54517d !important;
}

.wc-bookings-booking-form .wc-bookings-date-picker .ui-corner-all {
  border-radius: 0 !important;
}

/* force the check in / check out dates to display on inline calendar mode  */
/* .wc-bookings-date-picker .wc-bookings-date-picker-date-fields {
    display: block !important;
} */

/* Time Blocks */
#wc-bookings-booking-form .block-picker li a {
  background-color: var(--knepp-greige) !important;
  border: 3px solid #ebe8e2;
  color: var(--e-global-color-text);
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Time Blocks Hover */
#wc-bookings-booking-form .block-picker li a:hover {
  border-color: var(--knepp-success);
}

/* Selected Date*/
/* #wc-bookings-booking-form .wc-bookings-date-picker .ui-datepicker td.ui-datepicker-current-day a {
	background-color: #000000 !important; 
}  */

/* Selected Time Block */
#wc-bookings-booking-form .block-picker li a.selected {
  color: var(--e-global-color-text) !important;
  background: #ebe8e2 !important;
  border: 3px solid var(--knepp-success);
}

/* My Account - Bookings */
table.my_account_bookings {
  font-family: "din-2014", sans-serif;
  font-size: 16px !important;
  border: none !important;
}
table.my_account_bookings td {
  padding: 14px 5px !important;
  color: #231e2f !important;
}
table.my_account_bookings a:hover,
.aw-communication-page.woocommerce a:hover {
  color: #231e2f !important;
}
.aw-communication-page.woocommerce {
  font-family: "din-2014", sans-serif;
  font-size: 18px !important;
}
a.woocommerce-button--next,
a.woocommerce-button--previous {
  background: #54517d !important;
  border: none !important;
  padding: 14px 25px !important;
  border-radius: 0 !important;
  color: #fff !important;
  font-family: "din-2014", sans-serif;
  font-size: 18px !important;
}
/* Woo view orders */
a.woocommerce-button--next:hover,
a.woocommerce-button--previous:hover {
  background: #231e2f !important;
}
h2.woocommerce-order-details__title {
  font-weight: 600 !important;
  font-size: 22px !important;
}
h2.woocommerce-column__title {
  margin-bottom: 0px !important;
  font-weight: 600 !important;
  line-height: 26px !important;
  padding: 16px 30px !important;
}
.wc-booking-summary {
  font-family: "din-2014", sans-serif;
  border-radius: 0px;
  border: 1px solid #ddd;
}
body.elementor-page-640 {
  padding: 0px;
}
/* Logout */
.woocommerce-form-login__rememberme span {
  font-size: 16px !important;
  color: #231e2f !important;
}
/*Legal pages*/
.knepp-legal-table th {
  width: 50%;
}
.legalBulletCircle {
  list-style-type: circle;
}
.ViewMap {
  padding: 12px 24px;
  background: #54517d;
  width: 122px;
  margin: 0 auto;
}
.ViewMap a,
.ViewMap a:hover {
  color: #fff;
  font-weight: 600;
}
.woocommerce div.product .woocommerce-tabs ul.tabs:before {
  height: 0;
}
/*Menu Cart*/
.elementor-menu-cart__product .variation {
  font-size: 16px !important;
}

/* Stay Breadcrumb */
.woocommerce .woocommerce-breadcrumb {
  font-size: 14px;
  line-height: 26px !important;
}
#breadcrumbs {
  line-height: 26px !important;
}
/*Product Template Stay */
.wc-bookings-booking-form .ui-widget {
  font-size: 18px;
}

/*Basket*/
td.product-remove {
  padding-right: 5px !important;
}
a.wc-proceed-to-checkout.checkout-button.button.alt.wc-forward {
  font-size: 24px !important;
}
.elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
  background: #fff;
}
.elementor-widget-woocommerce-cart
  .woocommerce
  .input-text.qty[readonly="readonly"] {
  background-color: transparent;
  border: none;
  padding: 0;
  margin: 0;
  min-height: auto;
  max-height: none;
}
.woocommerce a.remove:before {
  width: 25px;
  height: 25px;
  border: 1px solid #818a91;
}
input#coupon_code.input-text {
  border: 1px solid #ddd;
}
.shipping-calculator-button {
  padding: 12px 30px;
  font-size: 22px;
  background: #54517d;
  color: #fff !important;
  margin: 10px 0;
  display: inline-block;
}
p#coupon-error-notice {
    background: var(--knepp-greige) !important;
    padding: 15px;
    margin-top: 20px;
    margin-bottom: 0;
    font-family: "din-2014", sans-serif;
}
@media screen and (max-width: 768px) {
  p#coupon-error-notice {
    padding: 16px;
    margin-top: 16px;
  }
}
/*Checkout Order*/
.woocommerce-page.woocommerce-checkout td.product-name {
  display: flow-root !important;
}
.woocommerce-page.woocommerce-checkout td.product-total {
  width: 46%;
}
.form-row.woocommerce-SavedPaymentMethods-saveNew.woocommerce-validated label {
  font-size: 16px !important;
}
.woocommerce-message a,
.woocommerce-message {
  font-family: "din-2014", sans-serif !important;
  font-size: 18px !important;
}
.woocommerce-message a {
  text-transform: uppercase !important;
  font-size: 14px !important;
  letter-spacing: 1.3px !important;
  font-weight: 600 !important;
  line-height: 26px;
}
a.woocommerce-message:hover {
  color: #231e2f !important;
}
/* my account */
.woocommerce-orders-table {
  font-family: "din-2014", sans-serif;
  font-size: 18px;
}
td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-number
  a {
  color: #54517d;
}

/* hover reveal */
.elementor-widget-ucaddon_hover_text_reveal_content_box .uc_title {
  letter-spacing: 2px !important;
}
/* Safari Breadcrumb*/
.safariBread span a {
  text-decoration: none !important;
}
.safariBread span a:hover {
  color: #363030 !important;
}
/* Blog */
.blog-post-listing-item h2.elementor-heading-title {
  margin-bottom: 0;
}
.POSTdl .wp-block-file__button {
  background: #54517d;
  border-radius: 0px;
  text-transform: uppercase;
  color: #fff;
  letter-spacing: 1.3px;
  font-weight: 600;
  font-size: 14px;
  padding: 14px 20px;
  display: inline-block;
}
.POSTdl .wp-block-file__button:hover {
  color: #fff;
  background: #231e2f;
}
/*mailchimp popup*/
.MCpopmailer div {
  font-family: "din-2014", sans-serif;
}
.MCpopmailer h2 {
  font-family: "din-2014", sans-serif;
  font-size: 22px;
  font-weight: 500;
  color: #54517d;
}
.MCpopmailer label {
  font-family: "din-2014", sans-serif;
  font-size: 16px;
  font-weight: 300;
}
.MCpopmailer #mc_embed_signup .button {
  font-family: "din-2014", sans-serif;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1.5px;
  color: #fff;
  text-transform: uppercase;
  background: #54517d;
  padding: 12px 25px;
  height: 46px;
  line-height: 22px;
}
.MCpopmailer #mc_embed_signup .button:hover {
  background: #363030;
}
#mc_embed_signup .datefield .monthfield input,
#mc_embed_signup .datefield .dayfield input {
  padding: 8px;
  width: 50px !important;
}
@media only screen and (min-width: 1024px) {
  .mc50 {
    display: inline-block !important;
    width: 48% !important;
  }
}
/* page h2 subheadings mobile */
@media only screen and (max-width: 600px) {
  .Podcast h2.elementor-heading-title {
    font-size: 16px !important;
  }
  .elementor-widget-heading:not(.exception) h2.elementor-heading-title {
    font-size: 20px !important;
  }
  .elementor-widget-ucaddon_hover_text_reveal_content_box .uc_title {
    font-size: 20px !important;
  }
  .elementor-widget-text-editor:not(.exception) {
    padding: 0px 10px;
  }
  .CopyrightM {
    padding: 0px 70px !important;
  }
}

/* mobile br shortcode defined in functions.php */
/* Hide the .mobile-br span by default */
.mobile-br {
  display: none;
}

/* Show the .mobile-br span on screens smaller than 768px */
@media screen and (max-width: 768px) {
  .mobile-br {
    display: inline;
  }
}
